<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::object_detector&lt; image_scanner_type_ &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1object__detector.html">object_detector</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classdlib_1_1object__detector-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::object_detector&lt; image_scanner_type_ &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a09fdedf0520777a1788609a9640417be"><td class="memItemLeft" align="right" valign="top"><a id="a09fdedf0520777a1788609a9640417be"></a>
typedef image_scanner_type_&#160;</td><td class="memItemRight" valign="bottom"><b>image_scanner_type</b></td></tr>
<tr class="separator:a09fdedf0520777a1788609a9640417be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82917fab655f9450d1c10e6fae536d3a"><td class="memItemLeft" align="right" valign="top"><a id="a82917fab655f9450d1c10e6fae536d3a"></a>
typedef image_scanner_type::feature_vector_type&#160;</td><td class="memItemRight" valign="bottom"><b>feature_vector_type</b></td></tr>
<tr class="separator:a82917fab655f9450d1c10e6fae536d3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab793d4c188faf6030893654d3f9ae587"><td class="memItemLeft" align="right" valign="top"><a id="ab793d4c188faf6030893654d3f9ae587"></a>
typedef ::<a class="el" href="structdlib_1_1rect__detection.html">dlib::rect_detection</a>&#160;</td><td class="memItemRight" valign="bottom"><b>rect_detection</b></td></tr>
<tr class="separator:ab793d4c188faf6030893654d3f9ae587"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cc7c266c4a3dd4d5092222baaad0550"><td class="memItemLeft" align="right" valign="top"><a id="a0cc7c266c4a3dd4d5092222baaad0550"></a>
typedef ::<a class="el" href="structdlib_1_1full__detection.html">dlib::full_detection</a>&#160;</td><td class="memItemRight" valign="bottom"><b>full_detection</b></td></tr>
<tr class="separator:a0cc7c266c4a3dd4d5092222baaad0550"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1178904c164966b89fbe24d7de0199bc"><td class="memItemLeft" align="right" valign="top"><a id="a1178904c164966b89fbe24d7de0199bc"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>object_detector</b> (const <a class="el" href="classdlib_1_1object__detector.html">object_detector</a> &amp;item)</td></tr>
<tr class="separator:a1178904c164966b89fbe24d7de0199bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b16a6025f4031323c373f1b08321ed8"><td class="memItemLeft" align="right" valign="top"><a id="a3b16a6025f4031323c373f1b08321ed8"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>object_detector</b> (const image_scanner_type &amp;scanner_, const <a class="el" href="classdlib_1_1test__box__overlap.html">test_box_overlap</a> &amp;overlap_tester_, const feature_vector_type &amp;w_)</td></tr>
<tr class="separator:a3b16a6025f4031323c373f1b08321ed8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabcc7e52a64d93f51a3752b31154a1b3"><td class="memItemLeft" align="right" valign="top"><a id="aabcc7e52a64d93f51a3752b31154a1b3"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>object_detector</b> (const image_scanner_type &amp;scanner_, const <a class="el" href="classdlib_1_1test__box__overlap.html">test_box_overlap</a> &amp;overlap_tester_, const std::vector&lt; feature_vector_type &gt; &amp;w_)</td></tr>
<tr class="separator:aabcc7e52a64d93f51a3752b31154a1b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1cbf65cc4e9c31b0137de96503c8abf"><td class="memItemLeft" align="right" valign="top"><a id="ab1cbf65cc4e9c31b0137de96503c8abf"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>object_detector</b> (const std::vector&lt; <a class="el" href="classdlib_1_1object__detector.html">object_detector</a> &gt; &amp;detectors)</td></tr>
<tr class="separator:ab1cbf65cc4e9c31b0137de96503c8abf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b4804b02eaf6b6772076a028186fa4d"><td class="memItemLeft" align="right" valign="top"><a id="a0b4804b02eaf6b6772076a028186fa4d"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>num_detectors</b> () const</td></tr>
<tr class="separator:a0b4804b02eaf6b6772076a028186fa4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5adc81d7cf771bf3f791305294c7ffd"><td class="memItemLeft" align="right" valign="top"><a id="ae5adc81d7cf771bf3f791305294c7ffd"></a>
const feature_vector_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_w</b> (unsigned long idx=0) const</td></tr>
<tr class="separator:ae5adc81d7cf771bf3f791305294c7ffd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2142351b6b24458f30608210a578839"><td class="memItemLeft" align="right" valign="top"><a id="af2142351b6b24458f30608210a578839"></a>
const <a class="el" href="structdlib_1_1processed__weight__vector.html">processed_weight_vector</a>&lt; image_scanner_type &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_processed_w</b> (unsigned long idx=0) const</td></tr>
<tr class="separator:af2142351b6b24458f30608210a578839"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad96e684e49aff0ab674a64911b7d0c2c"><td class="memItemLeft" align="right" valign="top"><a id="ad96e684e49aff0ab674a64911b7d0c2c"></a>
const <a class="el" href="classdlib_1_1test__box__overlap.html">test_box_overlap</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_overlap_tester</b> () const</td></tr>
<tr class="separator:ad96e684e49aff0ab674a64911b7d0c2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adaa45929bd2b1a020ff289a978262fda"><td class="memItemLeft" align="right" valign="top"><a id="adaa45929bd2b1a020ff289a978262fda"></a>
const image_scanner_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_scanner</b> () const</td></tr>
<tr class="separator:adaa45929bd2b1a020ff289a978262fda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e459116b2ac81ce551e9c3f2fbbb551"><td class="memItemLeft" align="right" valign="top"><a id="a7e459116b2ac81ce551e9c3f2fbbb551"></a>
<a class="el" href="classdlib_1_1object__detector.html">object_detector</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classdlib_1_1object__detector.html">object_detector</a> &amp;item)</td></tr>
<tr class="separator:a7e459116b2ac81ce551e9c3f2fbbb551"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d273ef1c2f811174fabd9db99fbf12b"><td class="memTemplParams" colspan="2"><a id="a9d273ef1c2f811174fabd9db99fbf12b"></a>
template&lt;typename image_type &gt; </td></tr>
<tr class="memitem:a9d273ef1c2f811174fabd9db99fbf12b"><td class="memTemplItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator()</b> (const image_type &amp;img, double adjust_threshold=0)</td></tr>
<tr class="separator:a9d273ef1c2f811174fabd9db99fbf12b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af543cdda9ec37cb20301e4d08520e5e1"><td class="memTemplParams" colspan="2"><a id="af543cdda9ec37cb20301e4d08520e5e1"></a>
template&lt;typename image_type &gt; </td></tr>
<tr class="memitem:af543cdda9ec37cb20301e4d08520e5e1"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator()</b> (const image_type &amp;img, std::vector&lt; std::pair&lt; double, <a class="el" href="classdlib_1_1rectangle.html">rectangle</a> &gt; &gt; &amp;final_dets, double adjust_threshold=0)</td></tr>
<tr class="separator:af543cdda9ec37cb20301e4d08520e5e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f5a0d807bfcf509ebde33eae1caf094"><td class="memTemplParams" colspan="2"><a id="a5f5a0d807bfcf509ebde33eae1caf094"></a>
template&lt;typename image_type &gt; </td></tr>
<tr class="memitem:a5f5a0d807bfcf509ebde33eae1caf094"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator()</b> (const image_type &amp;img, std::vector&lt; std::pair&lt; double, <a class="el" href="classdlib_1_1full__object__detection.html">full_object_detection</a> &gt; &gt; &amp;final_dets, double adjust_threshold=0)</td></tr>
<tr class="separator:a5f5a0d807bfcf509ebde33eae1caf094"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b24d6f0317ea44c4e8557b51853003d"><td class="memTemplParams" colspan="2"><a id="a9b24d6f0317ea44c4e8557b51853003d"></a>
template&lt;typename image_type &gt; </td></tr>
<tr class="memitem:a9b24d6f0317ea44c4e8557b51853003d"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator()</b> (const image_type &amp;img, std::vector&lt; <a class="el" href="classdlib_1_1full__object__detection.html">full_object_detection</a> &gt; &amp;final_dets, double adjust_threshold=0)</td></tr>
<tr class="separator:a9b24d6f0317ea44c4e8557b51853003d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bf350ee3640dd064d7e494394aa2c44"><td class="memTemplParams" colspan="2"><a id="a2bf350ee3640dd064d7e494394aa2c44"></a>
template&lt;typename image_type &gt; </td></tr>
<tr class="memitem:a2bf350ee3640dd064d7e494394aa2c44"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator()</b> (const image_type &amp;img, std::vector&lt; <a class="el" href="structdlib_1_1rect__detection.html">rect_detection</a> &gt; &amp;final_dets, double adjust_threshold=0)</td></tr>
<tr class="separator:a2bf350ee3640dd064d7e494394aa2c44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2097084efede13a63ba33f5e9980f9a"><td class="memTemplParams" colspan="2"><a id="ad2097084efede13a63ba33f5e9980f9a"></a>
template&lt;typename image_type &gt; </td></tr>
<tr class="memitem:ad2097084efede13a63ba33f5e9980f9a"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator()</b> (const image_type &amp;img, std::vector&lt; <a class="el" href="structdlib_1_1full__detection.html">full_detection</a> &gt; &amp;final_dets, double adjust_threshold=0)</td></tr>
<tr class="separator:ad2097084efede13a63ba33f5e9980f9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a2906ed5e07db432f1143067faae44185"><td class="memItemLeft" align="right" valign="top"><a id="a2906ed5e07db432f1143067faae44185"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>overlaps_any_box</b> (const std::vector&lt; <a class="el" href="structdlib_1_1rect__detection.html">rect_detection</a> &gt; &amp;rects, const <a class="el" href="classdlib_1_1rectangle.html">dlib::rectangle</a> &amp;rect) const</td></tr>
<tr class="separator:a2906ed5e07db432f1143067faae44185"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a34ece66644d8791a3df2c9889c6e2054"><td class="memItemLeft" align="right" valign="top"><a id="a34ece66644d8791a3df2c9889c6e2054"></a>
<a class="el" href="classdlib_1_1test__box__overlap.html">test_box_overlap</a>&#160;</td><td class="memItemRight" valign="bottom"><b>boxes_overlap</b></td></tr>
<tr class="separator:a34ece66644d8791a3df2c9889c6e2054"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abccb54fada326330ff1c73a7915503fe"><td class="memItemLeft" align="right" valign="top"><a id="abccb54fada326330ff1c73a7915503fe"></a>
std::vector&lt; <a class="el" href="structdlib_1_1processed__weight__vector.html">processed_weight_vector</a>&lt; image_scanner_type &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>w</b></td></tr>
<tr class="separator:abccb54fada326330ff1c73a7915503fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1249ea3e6a2ffbff16bee80b094afff4"><td class="memItemLeft" align="right" valign="top"><a id="a1249ea3e6a2ffbff16bee80b094afff4"></a>
image_scanner_type&#160;</td><td class="memItemRight" valign="bottom"><b>scanner</b></td></tr>
<tr class="separator:a1249ea3e6a2ffbff16bee80b094afff4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a4ab4ce59d896d2c7107d459945ee3d14"><td class="memTemplParams" colspan="2"><a id="a4ab4ce59d896d2c7107d459945ee3d14"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:a4ab4ce59d896d2c7107d459945ee3d14"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>serialize</b> (const <a class="el" href="classdlib_1_1object__detector.html">object_detector</a>&lt; T &gt; &amp;item, std::ostream &amp;out)</td></tr>
<tr class="separator:a4ab4ce59d896d2c7107d459945ee3d14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb952856b4616b0a22f9caa731079057"><td class="memTemplParams" colspan="2"><a id="aeb952856b4616b0a22f9caa731079057"></a>
template&lt;typename T &gt; </td></tr>
<tr class="memitem:aeb952856b4616b0a22f9caa731079057"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>deserialize</b> (<a class="el" href="classdlib_1_1object__detector.html">object_detector</a>&lt; T &gt; &amp;item, std::istream &amp;in)</td></tr>
<tr class="separator:aeb952856b4616b0a22f9caa731079057"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="object__detector_8h_source.html">object_detector.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
